NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.BurringInsertBuilder Class Reference

Progressive Die Wizard builder to design burring punch and die insert More...

Inheritance diagram for NXOpen.Tooling.BurringInsertBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BurringDirections { BurringUpwards, BurringDownwards }
 Specifies the burring direction. More...
 
enum  BurringPunchTypes { First, Second, Third }
 Specifies the burring punch type. More...
 
enum  CircularOrNonCircularType { Circular, NonCircular }
 Specifies the circular or non-circular type. More...
 
enum  DesignOptions { BurringPunch, BurringDie }
 Specifies the design type. More...
 
enum  ParentTypes { Control, DieBase, SubDie, Die }
 Specifies the parent part type. More...
 

Public Member Functions

unsafe NXOpen.TaggedObject CreateNewComponent (NXOpen.TaggedObject parentTag, NXOpen.Point3d origin)
 Create new component. More...
 
unsafe void DeletePunchOrDieComponent ()
 The action to delete the selected punch or die component More...
 
unsafe void RevolveSketchedCurve ()
 Extract burring region. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression ArcRadius [get]
 Returns the arc radius value. More...
 
unsafe NXOpen.Section BlankProfile [get]
 Returns the blank profile to extrude the punch or die. More...
 
unsafe
NXOpen.Tooling.BurringInsertBuilder.BurringDirections 
BurringDirection [get, set]
 Returns or sets the burring direction downwards or upwards. More...
 
unsafe
NXOpen.Tooling.BurringInsertBuilder.BurringPunchTypes 
BurringPunchType [get, set]
 Returns or sets the burring punch type to create. More...
 
unsafe
NXOpen.Tooling.BurringInsertBuilder.CircularOrNonCircularType 
CircularOrNonCircular [get, set]
 Returns or sets the circular or non circular type. More...
 
unsafe
NXOpen.Tooling.BurringInsertBuilder.DesignOptions 
DesignOption [get, set]
 Returns or sets the design option to design punch or die. More...
 
unsafe NXOpen.Expression EndValue [get]
 Returns the end height value of blank. More...
 
unsafe
NXOpen.Tooling.BurringInsertBuilder.ParentTypes 
ParentPart [get, set]
 Returns or sets the parent part to create blank. More...
 
unsafe string ParentPartName [get, set]
 Returns or sets the parent part name to create blank. More...
 
unsafe double PlateClearanceFirst [get, set]
 Returns or sets the value of plate clearance first. More...
 
unsafe double PlateClearanceSecond [get, set]
 Returns or sets the value of plate clearance second. More...
 
unsafe double PlateClearanceThird [get, set]
 Returns or sets the value of plate clearance third. More...
 
unsafe NXOpen.Expression PunchHeadHeight [get]
 Returns the punch head height value of blank. More...
 
unsafe NXOpen.SelectBody PunchOrDieToEdit [get]
 Returns the punch or die to edit More...
 
unsafe bool RenameComponent [get, set]
 Returns or sets the option whether rename component. More...
 
unsafe NXOpen.ScCollector SelectFaces [get]
 Returns the burring face of burring region. More...
 
unsafe NXOpen.Expression StartValue [get]
 Returns the start height value of blank. More...
 
unsafe bool UsePlateClearanceFirst [get, set]
 Returns or sets the option to use plate clearance first. More...
 
unsafe bool UsePlateClearanceSecond [get, set]
 Returns or sets the option to use plate clearance second. More...
 
unsafe bool UsePlateClearanceThird [get, set]
 Returns or sets the option to use plate clearance third. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Progressive Die Wizard builder to design burring punch and die insert

To create a new instance of this class, use NXOpen.Tooling.BurringInsertCollection.CreateBurringInsertBuilder

Default values.

Property Value

ArcRadius.Value

0 (millimeters part), 0 (inches part)

BurringDirection

BurringDownwards

CircularOrNonCircular

Circular

DesignOption

BurringPunch

EndValue.Value

0 (millimeters part), 0 (inches part)

ParentPart

DieBase

PlateClearanceFirst

0

PlateClearanceSecond

0

PlateClearanceThird

0

PunchHeadHeight.Value

0 (millimeters part), 0 (inches part)

StartValue.Value

0 (millimeters part), 0 (inches part)

UsePlateClearanceFirst

0

UsePlateClearanceSecond

0

UsePlateClearanceThird

0

Created in NX8.0.0

Member Enumeration Documentation

Specifies the burring direction.

Enumerator
BurringUpwards 

design the burring upwards

BurringDownwards 

design the burring downwards

Specifies the burring punch type.

Enumerator
First 

use first type

Second 

use second type

Third 

use third type

Specifies the circular or non-circular type.

Enumerator
Circular 
NonCircular 

Specifies the design type.

Enumerator
BurringPunch 

design the burring punch

BurringDie 

design the burring die

Specifies the parent part type.

Enumerator
Control 

use PDW project's control part as parent part

DieBase 

use PDW project's die base part as parent part

SubDie 

use PDW project's sub-die base as parent part

Die 

use PDW project's die part as parent part

Member Function Documentation

unsafe NXOpen.TaggedObject NXOpen.Tooling.BurringInsertBuilder.CreateNewComponent ( NXOpen.TaggedObject  parentTag,
NXOpen.Point3d  origin 
)
inline

Create new component.

Created in NX8.0.0

License requirements: None.

Parameters
parentTagthe parent part
originthe origin point to add
Returns
the new part instance
unsafe void NXOpen.Tooling.BurringInsertBuilder.DeletePunchOrDieComponent ( )
inline

The action to delete the selected punch or die component

Created in NX8.0.0

License requirements: None.

unsafe void NXOpen.Tooling.BurringInsertBuilder.RevolveSketchedCurve ( )
inline

Extract burring region.

Created in NX8.0.0

License requirements: None.

Property Documentation

unsafe NXOpen.Expression NXOpen.Tooling.BurringInsertBuilder.ArcRadius
get

Returns the arc radius value.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Tooling.BurringInsertBuilder.BlankProfile
get

Returns the blank profile to extrude the punch or die.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Tooling.BurringInsertBuilder.BurringDirections NXOpen.Tooling.BurringInsertBuilder.BurringDirection
getset

Returns or sets the burring direction downwards or upwards.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.BurringInsertBuilder.BurringPunchTypes NXOpen.Tooling.BurringInsertBuilder.BurringPunchType
getset

Returns or sets the burring punch type to create.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.BurringInsertBuilder.CircularOrNonCircularType NXOpen.Tooling.BurringInsertBuilder.CircularOrNonCircular
getset

Returns or sets the circular or non circular type.

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.BurringInsertBuilder.DesignOptions NXOpen.Tooling.BurringInsertBuilder.DesignOption
getset

Returns or sets the design option to design punch or die.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.BurringInsertBuilder.EndValue
get

Returns the end height value of blank.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Tooling.BurringInsertBuilder.ParentTypes NXOpen.Tooling.BurringInsertBuilder.ParentPart
getset

Returns or sets the parent part to create blank.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe string NXOpen.Tooling.BurringInsertBuilder.ParentPartName
getset

Returns or sets the parent part name to create blank.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.BurringInsertBuilder.PlateClearanceFirst
getset

Returns or sets the value of plate clearance first.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.BurringInsertBuilder.PlateClearanceSecond
getset

Returns or sets the value of plate clearance second.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.BurringInsertBuilder.PlateClearanceThird
getset

Returns or sets the value of plate clearance third.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.BurringInsertBuilder.PunchHeadHeight
get

Returns the punch head height value of blank.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.SelectBody NXOpen.Tooling.BurringInsertBuilder.PunchOrDieToEdit
get

Returns the punch or die to edit

Created in NX8.0.0

License requirements: None.

unsafe bool NXOpen.Tooling.BurringInsertBuilder.RenameComponent
getset

Returns or sets the option whether rename component.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.ScCollector NXOpen.Tooling.BurringInsertBuilder.SelectFaces
get

Returns the burring face of burring region.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.BurringInsertBuilder.StartValue
get

Returns the start height value of blank.

Created in NX8.0.0

License requirements: None.

unsafe bool NXOpen.Tooling.BurringInsertBuilder.UsePlateClearanceFirst
getset

Returns or sets the option to use plate clearance first.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.BurringInsertBuilder.UsePlateClearanceSecond
getset

Returns or sets the option to use plate clearance second.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.BurringInsertBuilder.UsePlateClearanceThird
getset

Returns or sets the option to use plate clearance third.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.